Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJeff King <peff@peff.net>2009-04-24 17:56:14 +0400
committerJunio C Hamano <gitster@pobox.com>2009-04-24 20:24:35 +0400
commita766829458d2ecdc09f42076775ce4d6d4c9d1a8 (patch)
tree8a8b314a387365b64202f5761584399e5c4fbeb9 /t
parentcd294bc3f3a7b1277551a8c6e0682fdfbe794260 (diff)
t7800: respect NO_PERL
Difftool is written in perl, so we don't build it if NO_PERL is set. Signed-off-by: Jeff King <peff@peff.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't')
-rwxr-xr-xt/t7800-difftool.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/t7800-difftool.sh b/t/t7800-difftool.sh
index 2586f864a0..ebdccf9a1e 100755
--- a/t/t7800-difftool.sh
+++ b/t/t7800-difftool.sh
@@ -10,6 +10,11 @@ Testing basic diff tool invocation
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping difftool tests, perl not available'
+ test_done
+fi
+
remove_config_vars()
{
# Unset all config variables used by git-difftool